<?php
/**
* Plugin Name: Fribba Core
* Plugin URI: https://wowlayers.com
* Description: Register widgets, options and core elements for Fribba theme
* Version: 1.0
* Author: WOW Layers
* Author URI: https://wowlayers.com
* Text Domain: fribba
**/

//exit if accessed directly
defined( 'ABSPATH' ) or exit;

//defines
define( 'WOW_FRIBBA_DIR', plugin_dir_path(__FILE__) );
define( 'WOW_FRIBBA_URI', plugin_dir_url( __FILE__ ) );

/*
=================================================================================================================
wow_fribba_plugins_core() - add required > hooked @ plugins_loaded
=================================================================================================================
*/
function wow_fribba_plugins_core() {
	require_once( WOW_FRIBBA_DIR .'/inc/functions.php' );
	require_once( WOW_FRIBBA_DIR .'/inc/widgets/posts.php' );
	require_once( WOW_FRIBBA_DIR .'/inc/widgets/popular-downloads.php' );
	require_once( WOW_FRIBBA_DIR .'/inc/widgets/popular-posts.php' );
	require_once( WOW_FRIBBA_DIR .'/inc/widgets/categories.php' );
	if ( class_exists( 'WPCF7' ) ){
		require_once( WOW_FRIBBA_DIR .'/inc/wpcf7.php' );
	}
	require_once( WOW_FRIBBA_DIR .'/inc/syntax_highlight.php' );
}
add_action( 'plugins_loaded', 'wow_fribba_plugins_core' );

/*
=================================================================================================================
wow_fribba_plugin_styles() - load the plugin frontend styles
=================================================================================================================
*/
function wow_fribba_plugin_styles(){

}
add_action('wp_enqueue_scripts', 'wow_fribba_plugin_styles');

/*
=================================================================================================================
wow_fribba_plugin_scripts() - load the plugin frontend scripts
=================================================================================================================
*/
function wow_fribba_plugin_scripts(){
	
}
//add_action('wp_enqueue_scripts', 'wow_fribba_plugin_scripts');


/*
=================================================================================================================
wow_fribba_plugin_admin_styles() - load the plugin admin styles
=================================================================================================================
*/
function wow_fribba_plugin_admin_styles(){
	
}
//add_action( 'admin_enqueue_scripts', 'wow_fribba_plugin_admin_styles' );

/*
=================================================================================================================
wow_fribba_plugin_admin_scripts() - load the plugin admin scripts
=================================================================================================================
*/
function wow_fribba_plugin_admin_scripts() {

}
//add_action('admin_enqueue_scripts', 'wow_fribba_plugin_admin_scripts');


/* If Fribba theme is not active - deactivate plugin - this is a theme specific plugin  */
$theme = wp_get_theme();
$theme_name =  $theme->get( 'Name' );
if ( $theme_name !== 'Fribba' ) {
	if ( !function_exists( 'deactivate_plugins' ) ){
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	}
    deactivate_plugins( plugin_basename( __FILE__ ) );
	/* wp_die( __( 'Fribba Core plugin requires Fribba theme in order to be activated','fribba' ) ); */
}