<?php
if( class_exists( 'CSF' ) ) {
	
  // Set a unique slug-like ID
  $prefix = 'fribba_options';	
	
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => 'Optimize',
    'icon'   => 'fa fa-bolt',
    'fields' => array(

	array(
	  'id'    => 'lazy-load',
	  'type'  => 'switcher',
	  'title' => 'Lazy Load',
	  'desc' => 'If on, images and ads will be displayed using lazy load. This increase your website loading speed.',
	  'default' => '0',
	),
	array(
	  'id'      => 'lazy-disable-ad',
	  'type'    => 'checkbox',
	  'title'   => 'Disable lazy load for ads',
	  'label'   => 'Disable',
	  'default' => false // or false
	),	
	array(
	  'id'    => 'js-footer',
	  'type'  => 'switcher',
	  'title' => 'Move Jquery to footer',
	  'desc' => 'If on the main jQuery will be moved to footer. This will increase website score and loading time.',
	  'default' => '0',
	),	
	array(
	  'id'    => 'inline-css',
	  'type'  => 'switcher',
	  'title' => 'Inline Critical CSS',
	  'desc' => 'If on the main CSS file will be inlined into the head. This will speed up loading time.',
	  'default' => '0',
	),
	
	/*	to to in future versions
	array(
	  'id'    => 'combine-css',
	  'type'  => 'switcher',
	  'title' => 'Combine CSS',
	  'desc' => 'If on all the CSS files will be combined. This will decrease the number of requests and improve your website speed',
	  'default' => '0',
	),	
	array(
	  'id'    => 'combine-js',
	  'type'  => 'switcher',
	  'title' => 'Combine JS',
	  'desc' => 'If on all the JS files will be combined. This will decrease the number of requests and improve your website speed',
	  'default' => '0',
	),
	*/
	
	array(
	  'id'    => 'disable-emoji',
	  'type'  => 'switcher',
	  'title' => 'Disable emoji',
	  'desc' => 'If on emoji.js will be removed and your website speed will increase even more',
	  'default' => '0',
	),	
	array(
	  'id'    => 'leverage-broswer-caching',
	  'type'  => 'switcher',
	  'title' => 'Leverage broswer caching',
	  'desc' => 'Browser caching can help increasing page load times by storing assets files ( images , css etc ) locally in the user\'s browser. Use with caution or read more here https://gtmetrix.com/leverage-browser-caching.html. Refresh the page after enabling/disabling this option',
	  'default' => '0',
	),	
	array(
	  'id'    => 'enable-gzip',
	  'type'  => 'switcher',
	  'title' => 'Enable GZIP',
	  'desc' => 'Reduce the size of files sent from your server to increase the speed to which they are transferred to the browser. You must have gzip enabled on your server. Check it here https://www.giftofspeed.com/gzip-test/',
	  'default' => '0',
	),
	array(
	  'id'         => 'gutenberg',
	  'type'       => 'button_set',
	  'title'      => 'Gutenberg styles',
	  'desc'      => 'If "Move to footer" is selected styles will be moved to footer. If "Remove" it\'s selected, styles will be removed. Both of this options increase your page load and speed. Proceed with caution, if you are using Gutenberg Editor to edit posts, we recommend moving it to footer or leave it as enabled, instead of removing it.',
	  'options'    => array(
		'enabled'  => 'Enabled',
		'move' => 'Move to footer',
		'remove' => 'Remove',
	  ),
	  'default'    => 'enabled'
	),

    )
  ) );
}