<?php
/*
=================================================================================================================
wow_pre_shortcode() - Register wow_pre shortcode
=================================================================================================================

function wow_pre_shortcode($atts = [], $content = null){
	$content = str_replace ( array( '<','>' ), array( '&lt','&gt' ), $content );
    return '<pre class="no"><code>' . $content . '</code></pre>';
}
add_shortcode('wow_pre', 'wow_pre_shortcode');
*/


/*
=================================================================================================================
wow_has_syntax_higlight() - Determine if a post or page has <code class> tag & enqueue js and css only when used
=================================================================================================================
*/
function wow_has_syntax_higlight(){
	global $post;	
	$content = ( is_object( $post ) )? $post->post_content  : '' ;

	if ( strpos( $content, '<pre class="wp-block-code">' ) !== false && ( is_single() || is_page() ) ) {
		add_action( 'wp_footer', 'wow_footer_sh_js_init', 20 );
		add_action( 'get_footer', 'wow_footer_sh_css' );
		add_action( 'wp_enqueue_scripts' , 'wow_footer_sh_js' , 1 );
	}
}
add_action( 'wp','wow_has_syntax_higlight' );



/*
=================================================================================================================
wow_footer_sh_js() - enqueue syntax highlighter js
=================================================================================================================
*/
function wow_footer_sh_js(){	
	wp_enqueue_script( 'fribba-code-js', WOW_FRIBBA_URI.'/js/highlight.min.js', '', '', true );	 
}

/*
=================================================================================================================
wow_footer_sh_css() - enqueue syntax highlighter css
=================================================================================================================
*/
function wow_footer_sh_css() {
	wp_enqueue_style( 'fribba-code-css', WOW_FRIBBA_URI.'/css/highlight.min.css' );
}

/*
=================================================================================================================
wow_footer_sh_js_init() - init syntax highlighter
=================================================================================================================
*/
function wow_footer_sh_js_init(){ ?>
<script>
hljs.initHighlightingOnLoad();
</script>
<?php }