<?php
/**
 * The template for displaying Comments
 *
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>
		<h2 class="comments-title">
			<?php
			if ( 1 === get_comments_number() ) {
				printf(
					esc_html__( '1 Comment', 'fribba' )
				);
			} else {
				printf(
					_n( '%1$s Comments ', '%1$s Comments ', get_comments_number(), 'fribba' ),
					number_format_i18n( get_comments_number())
				);
			}
			?>
		</h2>

		<ul class="commentlist">
			<?php
			wp_list_comments(
				array(
					'callback' => 'wow_comment',
					'style'    => 'ol',
				)
			);
			?>
		</ul><!-- .commentlist -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="navigation" role="navigation">
			<h2 class="comment=navigation"><?php esc_html_e( 'Comment navigation', 'fribba' ); ?></h2>
			<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'fribba' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'fribba' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<?php
		/* If there are no comments and comments are closed, let's leave a note.
		 * But we only want the note on posts and pages that had comments in the first place.
		 */
		if ( ! comments_open() && get_comments_number() ) :
			?>
		<p class="nocomments"><?php esc_html_e( 'Comments are closed.', 'fribba' ); ?></p>
		<?php endif; ?>

	<?php endif; // have_comments() ?>
	
	<?php 
	
	if ( !isset( $aria_req ) )  $aria_req = '';
	
	if ( !is_user_logged_in() ){ 	
	
	
	$args = array(
	
		'title_reply'       => '<h2>'.esc_html__( 'Leave a comment','fribba' ).'</h2>',
		'comment_field' =>'<div class="wow-row"><div class="col-desktop-6"><textarea id="comment"  placeholder="'.esc_attr__( 'Comment','fribba' ).'" name="comment"></textarea></div>',
		'fields' =>  array(
			 'author' =>
				'<div class="col-desktop-6"><input id="author" name="author" type="text" placeholder="'.esc_attr__( 'Name','fribba' ).'" value="' . esc_attr( $commenter['comment_author'] ) .'"' . $aria_req . ' />',

			  'email' =>
				'<input id="email" name="email" type="text" placeholder="'.esc_attr__( 'Email','fribba' ).'" value="' . esc_attr(  $commenter['comment_author_email'] ) .'"' . $aria_req . ' />',

			  'url' =>
				'<input id="url" name="url" type="text" placeholder="'.esc_attr__( 'Website','fribba' ).'" value="' . esc_attr( $commenter['comment_author_url'] ) .'" /></div></div>',
			  
			  'cookies' => '',			
			),
		'comment_notes_before' => '',
		
		);
	
	}
	
	else{
		$args = array(

		'title_reply'       => '<h2>'.esc_html__( 'Leave a comment','fribba' ).'</h2>',
		'comment_field' =>'<textarea id="comment"  placeholder="'.esc_attr__( 'Comment','fribba' ).'" name="comment"></textarea>',
		'fields' =>  array(
			 'author' =>
				'<input id="author" name="author" type="text" placeholder="'.esc_attr__( 'Name','fribba' ).'" value="' . esc_attr( $commenter['comment_author'] ) .'"' . $aria_req . ' />',

			  'email' =>
				'<input id="email" name="email" type="text" placeholder="'.esc_attr__( 'Email','fribba' ).'" value="' . esc_attr(  $commenter['comment_author_email'] ) .'"' . $aria_req . ' />',

			  'url' =>
				'<input id="url" name="url" type="text" placeholder="'.esc_attr__( 'Website','fribba' ).'" value="' . esc_attr( $commenter['comment_author_url'] ) .'" />',
			  
			  'cookies' => '',			
			),
		'comment_notes_before' => '',
		
		);		
	}
	
	?>

	<?php comment_form( $args ); ?>

</div><!-- #comments .comments-area -->