<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/*
=================================================================================================================
CONSTANTS
=================================================================================================================
*/
if ( ! defined ( 'WOW_DIR' ) ){
	define( 'WOW_DIR', get_template_directory() );
}

if ( ! defined ( 'WOW_URI' ) ){
	define( 'WOW_URI', get_template_directory_uri() );
}


/*
=================================================================================================================
wow_fribba_core_setup - requires, enqueues , theme support etc.
=================================================================================================================
*/
class wow_fribba_core_setup{
	
	public function __construct() {
		add_action( 'after_setup_theme', array( $this, 'requires' ), 4 );
		add_action('after_setup_theme', array( $this, 'theme_support') );
	}

	public function requires(){
		require_once( WOW_DIR.'/functions/theme.php' ); //theme related functions
		require_once( WOW_DIR.'/functions/seo.php' ); //seo functions
		require_once( WOW_DIR.'/functions/admin.php' ); //admin related functions
		require_once( WOW_DIR.'/functions/enqueue.php' ); //enqueue css and js
		require_once( WOW_DIR.'/functions/wordpress.php' ); //wordpress related functions
		require_once( WOW_DIR.'/functions/svg.php' ); //svg icons
		require_once( WOW_DIR.'/functions/svg-brands.php' ); //svg brand icons
		require_once( WOW_DIR.'/functions/activation.php' );
		require_once( WOW_DIR.'/options/options.php' ); //theme options
		require_once( WOW_DIR .'/inc/tgm/class-tgm-plugin-activation.php' );
		require_once( WOW_DIR .'/inc/tgm/class-tgm-updater.php' );
		if ( class_exists( 'WooCommerce' ) ){
			require_once( WOW_DIR.'/functions/woo.php' ); //woo
		}
	}

	public function theme_support(){
		if ( ! isset( $content_width ) ) $content_width = 900;
		if( function_exists( 'add_theme_support' ) ){
			add_theme_support( 'post-formats', array( 'video', 'gallery', 'audio' ) );
			add_theme_support( 'post-thumbnails' );
			add_theme_support( 'automatic-feed-links' );
			add_theme_support( 'html5', [''] );
			add_theme_support( 'title-tag' );
			add_theme_support( 'editor-styles' );              
			add_image_size( 'admin-thumb', 100, 100, false );
			add_image_size( 'grid', 430, 360, true );
			add_image_size( 'blog-classic', 682, 448, true );
			add_image_size( 'full-single', 1060, 470, true );
			add_image_size( 'widget', 110, 83 , true );

		}
	}	
	
}

new wow_fribba_core_setup;