jQuery(window).scroll(function() {
	"use strict";
	
	//sticky
    if (jQuery(this).scrollTop() > 50){
		jQuery('header#theme-header').addClass('header-sticky');
    }
    else{
		jQuery('header#theme-header').removeClass('header-sticky');
    }
});

(function($){
    "use strict";
	
	var windowWidth = $(window).width();
	
	var loaded = false;
	
	//mobile
	function mobile_menu_offset( windowWidth ){
		if( windowWidth < 1024 ){
			
			var mobile_menu_offset = $("#theme-header").outerHeight(true) - 10;
			$("nav.nav").css("top", mobile_menu_offset + "px");
		}				
	}

	if( windowWidth < 1024 ){

		$("header#theme-header nav a").on('click', function(event){	
			var submenu = $(" > .sub-menu", $(this).parent() );		

			if( submenu.length ){

				event.preventDefault();	
					
				var this_opened_menu = $(this).closest(".menu > li");
				$("header#theme-header .menu > li").not(this_opened_menu).each(function(){
					$(".sub-menu" , this).removeClass("open-menu");
				});
					
				submenu.toggleClass("open-menu");
				$(" > svg",$(this)).toggleClass("rotate");
			}				
		});
	
	}
			
	$(".mobile-trigger").on( "click", function(event) {
		event.preventDefault();

		$(this).toggleClass( "is-active" );
		$("header#theme-header nav").toggleClass( "open" );			
		$(".searchform.active").removeClass("active");
		if( $(this).hasClass("is-active") ){
			$(".overlay").addClass( "visible" );
		}
		else{
			$(".overlay").removeClass( "visible" );
		}
		
	});	
		
	//menu search
	$(".search-trigger").on( "click", function() {
		event.preventDefault();
		$( "#searchform" ).addClass( "active" );
		$( ".overlay" ).addClass( "visible" );
		$( "header#theme-header .nav.open" ).removeClass( "open" );
		$(".mobile-trigger.is-active").removeClass( "is-active" );
	});
			
	function resize_tweaks( windowWidth ){
		
		if( windowWidth < 1024 ){
			//mobile menu
			$("header#theme-header nav").removeClass( "open" );				
			$("header#theme-header nav ul").removeClass( "open-menu" );				
			$("header#theme-header .menu svg").removeClass( "rotate" );	
			
			$(".mobile-trigger").removeClass( "is-active" );	
			
			//$(".overlay").removeClass("visible");
			//$("#searchform").removeClass("active");						
		}		
	}
	
	function close_overlay( windowWidth ){		
		//close overlay
		$(document).on("click", function (e) {
			if ( $(e.target).closest("#searchform").length === 0 && $(e.target).closest(".search-trigger").length === 0 && 
					$(e.target).closest(".mobile-trigger").length === 0 &&  $(e.target).closest("header#theme-header nav").length === 0 ){
				
				$(".overlay").removeClass("visible");
				$("#searchform").removeClass("active");
				
				if( windowWidth < 1024 ){
					//mobile menu
					$("header#theme-header nav").removeClass( "open" );				
					$("header#theme-header nav ul").removeClass( "open-menu" );				
					$(".mobile-trigger").removeClass( "is-active" );				
				}
			}			
		});					
	}
	
	mobile_menu_offset( windowWidth );

    $(".download-button a").on('click', function(){
		var elem = $(this);
		var post_id = elem.data("post-id");
		$.ajax({
			type: 'post',
			url: ajax_var.url,
			data: { action: "wow_count_downloads", nonce: ajax_var.nonce, post_id: post_id },
			success: function(count){
			}
		});
    })	    
	
	$(".social-share a").on('click', function(){
		var elem = $(this);
		var post_id = elem.data("post-id");
		$.ajax({
			type: 'post',
			url: ajax_var.url,
			data: { action: "wow_count_shares", nonce: ajax_var.nonce_shares, post_id: post_id },
			success: function(count){
			}
		});
    })	
	
	
	/*var wow_rtl = false;
	
	if( $("body").hasClass("rtl")){
		wow_rtl = true;
	}
		
	 $('.slick').slick({
		lazyLoad: 'ondemand',
		fade: true,
		rtl: wow_rtl,
		prevArrow: '<button type="button" class="slick-prev" aria-label="Previous"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M12.172 12L9.343 9.172l1.414-1.415L15 12l-4.243 4.243-1.414-1.415z"/></g></svg></button>',
		nextArrow: '<button type="button" class="slick-next" aria-label="Next"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M11.828 12l2.829 2.828-1.414 1.415L9 12l4.243-4.243 1.414 1.415L11.828 12z"/></g></svg></button>',
	});
	*/

	//article counter
	$(".count-articles h1").each(function() {
	  var $this = $(this),
		  countTo = $this.attr('data-count');
	  
	  $({ countNum: $this.text()}).animate({
		countNum: countTo
	  },
	  {
		duration: 1000,
		easing:"linear",
		step: function() {
		  $this.text(Math.floor(this.countNum));
		},
		complete: function() {
		  $this.text(this.countNum);
		  //alert('finished');
		}
	  }); 
	}); 

	/*wp-block-gallery
	if ($.fn.simpleLightbox) {
		if ( $(".wp-block-gallery").length ) {
			var lightbox = $('.wp-block-gallery a').simpleLightbox({
				overlay: false,
				captions: true,
				
			});
		}
	} */

	close_overlay( windowWidth );
	

	
	$(window).on('resize', function(){
		var windowWidth = $(window).width();
		resize_tweaks( windowWidth );
		close_overlay( windowWidth );
		mobile_menu_offset( windowWidth );
		
	});	
	
})(jQuery);