<?php
$prefix = 'fribba_post_video_options';
 // Create a metabox
  CSF::createMetabox( $prefix, array(
    'title'     => 'Video Options',
    'post_type' => 'post',
	'post_formats' => 'video',
	'data_type' => 'unserialize',
  ) );

  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => 'Video Type',
    'fields' => array(

	array(
	  'id'         => 'video-type',
	  'type'       => 'button_set',
	  'title'      => 'Video type',
	  'options'    => array(
		'youtube'  => 'Youtube',
		'vimeo' => 'Vimeo',
		'custom' => 'Embed Code',
	  ),
	  'default'    => 'youtube'
	),
	
	array(
	  'id'      => 'youtube',
	  'type'    => 'text',
	  'title'   => 'Enter Youtube URL',
	  'desc' => 'Add youtube video url. Example: https://www.youtube.com/watch?v=pJ5FD9_Orbg',
	  'dependency' => array( 'video-type', '==', 'youtube' ),
	),
	
	array(
	  'id'      => 'vimeo',
	  'type'    => 'text',
	  'title'   => 'Enter Vimeo URL',
	  'desc' => 'Add vimeo video url. Example: https://vimeo.com/173405377',
	  'dependency' => array( 'video-type', '==', 'vimeo' ),
	),	
	array(
	  'id'      => 'custom',
	  'type'    => 'textarea',
	  'title'   => 'Enter Video Embed Code',
	  'desc' => 'Add custom video embed code. Example: &#x3C;iframe frameborder="0" width="480" height="270" src="https://www.dailymotion.com/embed/video/x7l8s9r" allowfullscreen allow="autoplay"&#x3E;&#x3C;/iframe&#x3E;',
	  'dependency' => array( 'video-type', '==', 'custom' ),
	),

    )
  ) );
