<?php
$prefix = 'fribba_post_options';
 // Create a metabox
  CSF::createMetabox( $prefix, array(
    'title'     => esc_attr__( 'Post options','fribba' ),
    'post_type' => 'post',
	'data_type' => 'unserialize',
  ) );

	if ( class_exists( 'Easy_Digital_Downloads' ) ){
		if ( !empty( wow_get_edd_downloads() ) ){
			$edd = esc_attr__( 'Select a premium download for this freebie. ','fribba' );
		}
		else{
			$edd = esc_attr__( 'Please add some downloads ( Downloads > Add New ), and they will appear here after adding them.','fribba' );
		}
	}
	else{
		$edd = esc_attr__( 'Install Easy Digital Download plugin if you would like to sell premium freebies.','fribba' );
	}
	

  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Layout','fribba' ),
	'icon' => 'fa fa-th-list',
    'fields' => array(		
		array(
		  'id'         => 'blog-single-layout',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Post layout','fribba' ),
		  'desc'      => esc_attr__( 'Select your single layout type. This will override the theme option setting, for this post only.','fribba' ),
		  'options'    => array(
			'default' => 'Default from theme options',
			'sidebar' => 'With Sidebar',
			'full' => 'Full',
		  ),
		  'default'    => 'default'
		),

    )
  ) );  
  
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Thumbnail','fribba' ),
	'icon' => 'fa fa-image',
    'fields' => array(	
		array(
		  'id'         => 'blog-single-thumb',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Image size','fribba' ),
		  'desc'      => esc_attr__( 'Choose if you want to display the cropped version of image, or the original one.','fribba' ),
		  'options'    => array(
			'default' => 'Default from theme options',
			'crop' => 'Cropped',
			'original' => 'Original',
		  ),
		  'default'    => 'default'
		),

    )
  ) );



  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Download','fribba' ),
	'icon' => 'fa fa-download',
    'fields' => array(
	array(
	  'id'      => 'download-url',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Freebie download URL','fribba' ),
	  'desc' => esc_attr__( 'Add your freebie download URL I.e https://example.com/myfile.zip','fribba' ),
	),		
	array(
	  'id'      => 'new-tab',
	  'type'    => 'checkbox',
	  'title'   => esc_attr__( 'Open link in new tab?','fribba' ),
	  'desc' => esc_attr__( 'Check this if you want this link to be opened in a new tab.','fribba' ),
	),		
	array(
	  'id'      => 'download-text',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Download text on the button','fribba' ),
	  'desc' => esc_attr__( 'I.e Download freebie','fribba' ),
	),		
	array(
	  'id'      => 'download-counter',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Number of downloads','fribba' ),
	  'desc' => esc_attr__( 'You can increase this number as you wish. Numbers only.','fribba' ),
	),		
	array(
	  'id'      => 'demo-url',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Live demo URL ( optional )','fribba' ),
	  'desc' => esc_attr__( 'You can add a live demo url to the freebie I.e https://example.com/my-freebie','fribba' ),
	),
	array(
	  'id'      => 'new-tab-demo',
	  'type'    => 'checkbox',
	  'title'   => esc_attr__( 'Open link in new tab?','fribba' ),
	  'desc' => esc_attr__( 'Check this if you want this link to be opened in a new tab.','fribba' ),
	),		
	array(
	  'id'      => 'demo-text',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Live demo button text ( optional )','fribba' ),
	  'desc' => esc_attr__( 'I.e Live demo','fribba' ),
	),	
    )
  ) );  
  
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Premium download','fribba' ),
	'icon' => 'fa fa-dollar',
    'fields' => array(	
	array(
	  'id'      => 'premium-download',
	  'type'    => 'select',
	  'options' => wow_get_edd_downloads(),
	  'title'   => esc_attr__( 'Premium download','fribba' ),
	  'desc' => $edd,
	),		
	array(
	  'id'      => 'premium-download-text',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Buy text on the button','fribba' ),
	  'desc' => esc_attr__( 'I.e Buy product','fribba' ),
	),	
    )
  ) );  
  
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'SEO','fribba' ),
	'icon' => 'fa fa-search',
    'fields' => array(		
	array(
	  'id'      => 'seo-title',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Title','fribba' ),
	  'desc' => esc_attr__( 'Add SEO title. Try to limit to 50-60 characters, to ensure your title will fully display on search engines.','fribba' ),
	),
	array(
	  'id'      => 'seo-desc',
	  'type'    => 'textarea',
	  'title'   => esc_attr__( 'Description','fribba' ),
	  'desc' => esc_attr__( 'Add SEO description. Try to limit to 50-160 characters, to ensure your description will fully display on search engines.','fribba' ),
	),	

    )
  ) ); 

  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Extra','fribba' ),
	'icon' => 'fa fa-eye',
    'fields' => array(		
	array(
	  'id'      => 'post-views-count',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Number of post views','fribba' ),
	  'desc' => esc_attr__( 'You can increase this number. Numbers only.','fribba' ),
	),	
	array(
	  'id'      => 'share-counter',
	  'type'    => 'text',
	  'title'   => esc_attr__( 'Number of article shares','fribba' ),
	  'desc' => esc_attr__( 'You can increase this number. Numbers only.','fribba' ),
	),

    )
  ) );
