<?php

// Check core class for avoid errors
if( class_exists( 'CSF' ) ) {

  // Set a unique slug-like ID
  $prefix = 'fribba_options';

  // Create options
  CSF::createOptions( $prefix, array(
    'menu_title' => 'Fribba Options',
    'menu_slug'  => 'fribba-options',
    'framework_title'  => 'Fribba Options',
    'framework_class' => '',
	//'enqueue_webfont' => false,
	'footer_credit' => ' ',
	'theme' => 'light',
	'show_in_customizer' => true,
	
  ) );

  //options
  require_once( WOW_DIR.'/options/options/header.php' );
  require_once( WOW_DIR.'/options/options/colors.php' );
  require_once( WOW_DIR.'/options/options/typography.php' );
  require_once( WOW_DIR.'/options/options/blog.php' );
  require_once( WOW_DIR.'/options/options/freebies.php' );
  require_once( WOW_DIR.'/options/options/social.php' );
  require_once( WOW_DIR.'/options/options/subscribe.php' );
  require_once( WOW_DIR.'/options/options/footer.php' );
  require_once( WOW_DIR.'/options/options/seo.php' );
  require_once( WOW_DIR.'/options/options/code.php' );
  if ( function_exists ( 'wow_fribba_plugins_core' ) ){
	require_once( WOW_FRIBBA_DIR .'/inc/tracking-code.php' );
  }  
  require_once( WOW_DIR.'/options/options/ad-zones.php' );
  if ( function_exists ( 'wow_fribba_plugins_core' ) ){
	require_once( WOW_FRIBBA_DIR .'/inc/optimize.php' );
  }
  if ( class_exists( 'WooCommerce' ) ){
	 require_once( WOW_DIR.'/options/options/woo.php' );
  }  
  if ( class_exists( 'WPCF7' ) ){
	 require_once( WOW_DIR.'/options/options/contact.php' );
  }
 
  // Create a section
  CSF::createSection( $prefix, array(
    'assign' => 'title_tagline',
	'title'   => esc_attr__( 'Title and tagline display','fribba' ),
    'fields' => array(
	
		array(
		  'id'         => 'title_tagline',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Title and Tagline Display','fribba' ),
		  'desc'      => esc_attr__( 'Choose what you want to display.','fribba' ),
		  'options'    => array(
			'none' => 'None',
			'both' => 'Both',
			'title' => 'Title',
			'tagline' => 'Tagline',			
		  ),
		  'default'    => 'none'
		),	

    )
  ) );
}

// Check core class for avoid errors
if( class_exists( 'CSF' ) ) {
	
	// meta boxes and tax options
	require_once( WOW_DIR.'/options/metaboxes/page.php' ); //page meta boxes
	require_once( WOW_DIR.'/options/metaboxes/post.php' ); //post format gallery meta boxes
	require_once( WOW_DIR.'/options/metaboxes/post-gallery.php' ); //post format gallery meta boxes
	require_once( WOW_DIR.'/options/metaboxes/post-video.php' ); //post format video meta boxes
	require_once( WOW_DIR.'/options/metaboxes/post-audio.php' ); //post format audio meta boxes
	require_once( WOW_DIR.'/options/metaboxes/categories.php' ); //custom category options
	require_once( WOW_DIR.'/options/metaboxes/tags.php' ); //custom tags options
	require_once( WOW_DIR.'/options/metaboxes/user.php' ); //user profile options
	if ( class_exists( 'WooCommerce' ) ){
		require_once( WOW_DIR.'/options/metaboxes/product.php' );
		require_once( WOW_DIR.'/options/metaboxes/product_categories.php' );
		require_once( WOW_DIR.'/options/metaboxes/product_tags.php' );
	}		
	
	//widgets
	require_once( WOW_DIR.'/options/widgets/ad.php' ); //ad widget
	
}

//$a = get_option( 'fribba_options' );
//var_export($a);
//'url' => WOW_URI.'/favicon.png',

//default values if codestar framework is not activated and options are not already set
$wow_fribba_options = get_option( 'fribba_options' );
if( !class_exists( 'CSF' ) && empty ( $wow_fribba_options ) ) {
	$options = array (
		  'logo-type' => 'image',
		  'logo-text' => 'Fribba',
		  'logo-image' => 
		  array (
			'url' => '',
		  ),
		  'favicon' => 
		  array (
			'url' => WOW_URI.'/favicon.png',
		  ),
		  'color-scheme' => 'custom',
		  'skin-colors' => 'set1',
		  'custom-colors' => 
		  array (
			'color-1' => '#FF416C',
			'color-2' => '#9b539f',
			'color-3' => '#5c6279',
			'color-4' => '#0e1638',
			'color-5' => '#6441a5',
			'color-6' => '#2a0845',
			'color-7' => '#FF416C',
			'color-8' => '#9b539f',
		  ),
		  'body-background' => 
		  array (
			'background-color' => '',
			'background-gradient-color' => '',
			'background-gradient-direction' => 'to right',
			'background-size' => 'cover',
			'background-position' => 'center center',
			'background-repeat' => 'repeat',
		  ),
		  'body-typography' => 
		  array (
			'font-family' => 'Roboto',
			'font-weight' => '400',
			'type' => 'google',
			'unit' => 'px',
		  ),
		  'heading-typography' => 
		  array (
			'font-family' => 'Karla',
			'font-weight' => '700',
			'type' => 'google',
			'unit' => 'px',
		  ),
		  'enable-mobile-typography' => '0',
		  'blog-layout' => 'grid-3',
		  'blog-single-layout' => 'sidebar',
		  'blog-single-thumb' => 'original',
		  'enable-social-share' => '0',
		  'enable-social-share-after' => '1',
		  'enable-freebies' => '1',
		  'freebies-counter' => 'static',
		  'freebies-plural' => 'Freebies',
		  'freebies-singular' => 'Freebie',
		  'facebook' => '#',
		  'twitter' => '#',
		  'youtube' => '',
		  'linkedin' => '',
		  'pinterest' => '',
		  'dribbble' => '',
		  'instagram' => '',
		  'behance' => '',
		  'enable-subscribe' => '1',
		  'small-headline-subscribe' => 'Want more freebies?',
		  'headline-subscribe' => 'Subscribe To Fribba And Get The Latest Releases Straight To Your Inbox.',
		  'placeholder-subscribe' => 'Enter email here. We never spam.',
		  'button-subscribe' => 'Go for it!',
		  'bg-subscribe' => 
		  array (
			'background-color' => '',
			'background-gradient-color' => '',
			'background-gradient-direction' => '',
			'background-size' => '',
			'background-position' => '',
			'background-repeat' => '',
			'background-image' => '',
		  ),
		  'url-subscribe' => '#',
		  'enable-under-footer' => '1',
		  'footer-logo-type' => 'image',
		  'footer-logo-text' => 'Fribba',
		  'footer-logo-image' => 
		  array (
			'url' => '',
		  ),
		  'seo' => 
		  array (
			'enable-homepage-seo' => '0',
			'seo-title' => 'Fribba',
			'seo-desc' => 'Just another WordPress site',
			'enable-blog-seo' => '0',
			'seo-blog-title' => 'My blog',
			'seo-blog-desc' => 'My cool blog description...',
			'enable-archive-seo' => '0',
			'seo-day-desc' => 'Posts archives for day -',
			'seo-month-desc' => 'Posts archives for month -',
			'seo-year-desc' => 'Posts archives for year -',
			'enable-posts-seo' => '0',
			'auto-seo' => '0',
			'enable-extra' => '0',
		  ),
		  'css-editor' => '',
		  'js-editor' => '',
		  'tracking-code' => '',
		  'ads' => 
		  array (
			'enable-header-ad' => '0',
			'header-ad-type' => 'code',
			'header-ad-url' => '',
			'enable-post-ad' => '0',
			'post-ad-position' => '5',
			'post-ad-type' => 'code',
			'post-ad-url' => '',
			'enable-single1-ad' => '0',
			'single1-ad-type' => 'code',
			'single1-ad-url' => '',
			'enable-single2-ad' => '0',
			'single2-ad-type' => 'code',
			'single2-ad-url' => '',
		  ),
		  'lazy-load' => '0',
		  'js-footer' => '0',
		  'inline-css' => '0',
		  'disable-emoji' => '0',
		  'leverage-broswer-caching' => '0',
		  'enable-gzip' => '0',
		  'gutenberg' => 'enabled',
		);
	update_option( 'fribba_options', $options );
}