<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'id'  => 'ad',
    'title'  => esc_attr__( 'Advertisement','fribba' ),
	'icon'   => 'fa fa-audio-description',
    'fields' => array(

    array(
      'id'    => 'ads',
      'type'  => 'tabbed',
      'title' => 'Select ad zone',
      'tabs'  => array(

        
		
		array(
          'title'  => 'Header',
          'fields' => array(

				array(
				  'id'    => 'enable-header-ad',
				  'type'  => 'switcher',
				  'title' => esc_attr__( 'Enable','fribba' ),
				  'desc' => esc_attr__( 'Enable header ad zone. Recommended size 728x90','fribba' ),
				  'default' => '0',
				),	
				array(
				  'id'         => 'header-ad-type',
				  'type'       => 'button_set',
				  'title'      => esc_attr__( 'Ad type','fribba' ),
				  'desc'      => esc_attr__( 'Select your advertisement type. Banner or code.','fribba' ),
				  'options'    => array(
					'banner' => 'Banner',
					'code' => 'Code',
				  ),
				  'default'    => 'code'
				),
				 array(
				  'id'           => 'header-ad-media',
				  'type'         => 'upload',
				  'title'        => esc_attr__( 'Banner image','fribba' ),
				  'library'      => 'image',
				  'placeholder'  => 'http://',
				  'button_title' => 'Add Image',
				  'remove_title' => 'Remove Image',
				  'dependency' => array( 'header-ad-type', '==', 'banner' ),
				),		
				array(
				  'id'      => 'header-ad-url',
				  'type'    => 'text',
				  'title'   => esc_attr__( 'Banner URL','fribba' ),
				  'desc'   => esc_attr__( 'Where should the banner link to. Example : http://example.com','fribba' ),
				  'default' => '',
				  'dependency' => array( 'header-ad-type', '==', 'banner' ),
				),
				array(
				  'id'      => 'header-ad-code',
				  'type'    => 'textarea',  
				  'title'   => esc_attr__( 'Ad code','fribba' ),		 
				 'desc' => sprintf( '%s<br><b>%s</b>%s<br><b>%s</b>%s',
						esc_attr__( 'Enter ad code here. ', 'fribba' ), 
						esc_attr__( 'Important note: ', 'fribba' ),
						esc_attr__( 'If lazy load is enabled, do NOT include the following piece of code in the google ad:  ', 'fribba' ),
						esc_attr__( '<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script> and <script>(adsbygoogle = window.adsbygoogle || []).push({}); </script>', 'fribba' ),
						esc_attr__( 'as we include them automatically. Only include the ad from <ins></ins>', 'fribba' )
				  ),
				  'dependency' => array( 'header-ad-type', '==', 'code' ),		  
				),	

		  
          ),
        ),

        
		
		array(
          'title'  => 'Grid Posts',
          'fields' => array(
		  
				array(
				  'id'    => 'enable-post-ad',
				  'type'  => 'switcher',
				  'title' => esc_attr__( 'Enable','fribba' ),
				  'desc' => esc_attr__( 'Enable ad zone inside grid posts.','fribba' ),
				  'default' => '0',
				),
				array(
				  'id'      => 'post-ad-position',
				  'type'    => 'slider',
				  'title'   => esc_attr__( 'Ad position','fribba' ),
				  'desc' => esc_attr__( 'Select the order of ad inside post grid. Default 5','fribba' ),
				  'min'     => 1,
				  'max'     => 30,
				  'step'    => 1,
				  'default' => 5,
				  'attributes' => array(
						'width' => '100px'
				  ),
				),
				array(
				  'id'         => 'post-ad-type',
				  'type'       => 'button_set',
				  'title'      => esc_attr__( 'Ad type','fribba' ),
				  'desc'      => esc_attr__( 'Select your advertisement type. Banner or code.','fribba' ),
				  'options'    => array(
					'banner' => 'Banner',
					'code' => 'Code',
				  ),
				  'default'    => 'code'
				),
				 array(
				  'id'           => 'post-ad-media',
				  'type'         => 'upload',
				  'title'        => esc_attr__( 'Banner image','fribba' ),
				  'library'      => 'image',
				  'placeholder'  => 'http://',
				  'button_title' => 'Add Image',
				  'remove_title' => 'Remove Image',
				  'dependency' => array( 'post-ad-type', '==', 'banner' ),
				),		
				array(
				  'id'      => 'post-ad-url',
				  'type'    => 'text',
				  'title'   => esc_attr__( 'Banner URL','fribba' ),
				  'desc'   => esc_attr__( 'Where should the banner link to. Example : http://example.com','fribba' ),
				  'default' => '',
				  'dependency' => array( 'post-ad-type', '==', 'banner' ),
				),			
				array(
				  'id'      => 'post-ad-code',
				  'type'    => 'textarea',
				  'title'   => esc_attr__( 'Ad code','fribba' ),
				 'desc' => sprintf( '%s<br><b>%s</b>%s<br><b>%s</b>%s',
						esc_attr__( 'Enter ad code here. ', 'fribba' ), 
						esc_attr__( 'Important note: ', 'fribba' ),
						esc_attr__( 'If lazy load is enabled, do NOT include the following piece of code in the google ad:  ', 'fribba' ),
						esc_attr__( '<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script> and <script>(adsbygoogle = window.adsbygoogle || []).push({}); </script>', 'fribba' ),
						esc_attr__( 'as we include them automatically, and your ad will not display. Only include the code from <ins></ins> tags', 'fribba' )
				  ),
				  'dependency' => array( 'post-ad-type', '==', 'code' ),		  
				),
				array(
				  'id'      => 'post-ad-after',
				  'type'    => 'text',
				  'title'   => esc_attr__( 'Text after ad . I.e Advertisement','fribba' ),
				  'desc'   => esc_attr__( 'Add a text after the banner. This field is optional','fribba' ),
				),					
		  
          ),
        ),		
		
		
		array(
          'title'  => 'Single - above post',
          'fields' => array(
		  
				array(
				  'id'    => 'enable-single1-ad',
				  'type'  => 'switcher',
				  'title' => esc_attr__( 'Enable','fribba' ),
				  'desc' => esc_attr__( 'Enable ad zone on single post - above post content','fribba' ),
				  'default' => '0',
				),
				array(
				  'id'         => 'single1-ad-type',
				  'type'       => 'button_set',
				  'title'      => esc_attr__( 'Ad type','fribba' ),
				  'desc'      => esc_attr__( 'Select your advertisement type. Banner or code.','fribba' ),
				  'options'    => array(
					'banner' => 'Banner',
					'code' => 'Code',
				  ),
				  'default'    => 'code'
				),
				 array(
				  'id'           => 'single1-ad-media',
				  'type'         => 'upload',
				  'title'        => esc_attr__( 'Banner image','fribba' ),
				  'library'      => 'image',
				  'placeholder'  => 'http://',
				  'button_title' => 'Add Image',
				  'remove_title' => 'Remove Image',
				  'dependency' => array( 'single1-ad-type', '==', 'banner' ),
				),		
				array(
				  'id'      => 'single1-ad-url',
				  'type'    => 'text',
				  'title'   => esc_attr__( 'Banner URL','fribba' ),
				  'desc'   => esc_attr__( 'Where should the banner link to. Example : http://example.com','fribba' ),
				  'default' => '',
				  'dependency' => array( 'single1-ad-type', '==', 'banner' ),
				),
				array(
				  'id'      => 'single1-ad-code',
				  'type'    => 'textarea',
				  'title'   => esc_attr__( 'Ad code','fribba' ),
				 'desc' => sprintf( '%s<br><b>%s</b>%s<br><b>%s</b>%s',
						esc_attr__( 'Enter ad code here. ', 'fribba' ), 
						esc_attr__( 'Important note: ', 'fribba' ),
						esc_attr__( 'If lazy load is enabled, do NOT include the following piece of code in the google ad:  ', 'fribba' ),
						esc_attr__( '<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script> and <script>(adsbygoogle = window.adsbygoogle || []).push({}); </script>', 'fribba' ),
						esc_attr__( 'as we include them automatically, and your ad will not display. Only include the code from <ins></ins> tags', 'fribba' )
				  ),
				  'dependency' => array( 'single1-ad-type', '==', 'code' ),		  
				),		  
		  
          ),
        ),		
		
		
		array(
          'title'  => 'Single - bellow post',
          'fields' => array(
		  
				array(
				  'id'    => 'enable-single2-ad',
				  'type'  => 'switcher',
				  'title' => esc_attr__( 'Enable','fribba' ),
				  'desc' => esc_attr__( 'Enable ad zone on single post - bellow post content','fribba' ),
				  'default' => '0',
				),
				array(
				  'id'         => 'single2-ad-type',
				  'type'       => 'button_set',
				  'title'      => esc_attr__( 'Ad type','fribba' ),
				  'desc'      => esc_attr__( 'Select your advertisement type. Banner or code.','fribba' ),
				  'options'    => array(
					'banner' => 'Banner',
					'code' => 'Code',
				  ),
				  'default'    => 'code'
				),
				 array(
				  'id'           => 'single2-ad-media',
				  'type'         => 'upload',
				  'title'        => esc_attr__( 'Banner image','fribba' ),
				  'library'      => 'image',
				  'placeholder'  => 'http://',
				  'button_title' => 'Add Image',
				  'remove_title' => 'Remove Image',
				  'dependency' => array( 'single2-ad-type', '==', 'banner' ),
				),		
				array(
				  'id'      => 'single2-ad-url',
				  'type'    => 'text',
				  'title'   => esc_attr__( 'Banner URL','fribba' ),
				  'desc'   => esc_attr__( 'Where should the banner link to. Example : http://example.com','fribba' ),
				  'default' => '',
				  'dependency' => array( 'single2-ad-type', '==', 'banner' ),
				),
				array(
				  'id'      => 'single2-ad-code',
				  'type'    => 'textarea',
				  'title'   => esc_attr__( 'Ad code','fribba' ),
				 'desc' => sprintf( '%s<br><b>%s</b>%s<br><b>%s</b>%s',
						esc_attr__( 'Enter ad code here. ', 'fribba' ), 
						esc_attr__( 'Important note: ', 'fribba' ),
						esc_attr__( 'If lazy load is enabled, do NOT include the following piece of code in the google ad:  ', 'fribba' ),
						esc_attr__( '<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script> and <script>(adsbygoogle = window.adsbygoogle || []).push({}); </script>', 'fribba' ),
						esc_attr__( 'as we include them automatically, and your ad will not display. Only include the code from <ins></ins> tags', 'fribba' )
				  ),
				  'dependency' => array( 'single2-ad-type', '==', 'code' ),		  
				),		  
		  
          ),
        ),		
		
		
		array(
          'title'  => 'Widget',
          'fields' => array(
		  
				array(
				  'id'    => 'widget-ad-info',
				  'type'    => 'notice',
				  'style'   => 'success',
				  'content' => esc_attr__( 'For advertisement inside widgets locate the widget "Fribba Ad" at Appearance > Widgets','fribba' ),
				),
          ),
        ),
		
		

      ),
	  
	   'default' => array(
			//header ad
			'enable-header-ad'  => '0',
			'header-ad-type'  => 'code',
			'header-ad-url'  => '',
			
			//post grid ad
			'enable-post-ad'  => '0',
			'post-ad-position'  => '5',
			'post-ad-type'  => 'code',
			'post-ad-url'  => '',	
			'post-ad-after'  => '',
			
			//single above post content
			'enable-single1-ad'  => '0',
			'single1-ad-type'  => 'code',
			'single1-ad-url'  => '',
			
			//single bellow post content
			'enable-single2-ad'  => '0',
			'single2-ad-type'  => 'code',
			'single2-ad-url'  => '',
		),
	  
    ),


	
    )
  ) );