<?php 
  // Create a section
  CSF::createSection( $prefix, array(
    'id'  => 'blog',
    'title'  => esc_attr__( 'Blog','fribba' ),
	'icon'   => 'fa fa-book',
    'fields' => array(
		array(
		  'id'         => 'blog-layout',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Blog layout','fribba' ),
		  'desc'      => esc_attr__( 'Select your blog layout type.','fribba' ),
		  'options'    => array(
			'grid-4' => 'Grid 4',
			'grid-3' => 'Grid 3',
			'grid-2' => 'Grid 2 With Sidebar',
			'grid-1' => 'Classic',
		  ),
		  'default'    => 'grid-3'
		),		
		array(
		  'id'         => 'blog-single-layout',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Single layout','fribba' ),
		  'desc'      => esc_attr__( 'Select your single layout type.','fribba' ),
		  'options'    => array(
			'sidebar' => 'With Sidebar',
			'full' => 'Full',
		  ),
		  'default'    => 'sidebar'
		),	
		array(
		  'id'         => 'blog-single-thumb',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Single image size','fribba' ),
		  'desc'      => esc_attr__( 'Choose if you want to display the cropped version of image, or the original one on single articles.','fribba' ),
		  'options'    => array(
			'crop' => 'Cropped',
			'original' => 'Original',
		  ),
		  'default'    => 'crop'
		),		
		array(
		  'id'         => 'enable-social-share',
		  'type'       => 'switcher',
		  'title'      => esc_attr__( 'Floating social share','fribba' ),
		  'desc'      => esc_attr__( 'Enables floating social share on single article. ','fribba' ),
		  'default'    => '0'
		),			
		array(
		  'id'         => 'enable-social-share-after',
		  'type'       => 'switcher',
		  'title'      => esc_attr__( 'After article social share','fribba' ),
		  'desc'      => esc_attr__( 'Enables social share at the end of single article.','fribba' ),
		  'default'    => '1'
		),	
		array(
		  'id'      => 'date_and_cat',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Show date and category','fribba' ),
		  'desc'   => esc_attr__( '','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '1'		   
		),			
		array(
		  'id'      => 'tagcloud_border',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Show border on widget tags','fribba' ),
		  'desc'   => esc_attr__( '','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '1'		   
		),	
		array(
		  'id'      => 'show_separator',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Show separator lines','fribba' ),
		  'desc'   => esc_attr__( '','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '1'		   
		),			
		array(
		  'id'      => 'blog_placeholder',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Show placeholder','fribba' ),
		  'desc'   => esc_attr__( 'Show placeholder when there is no image','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '1'		   
		),			
    )
  ) );