<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Colors','fribba' ),
    'icon'   => 'fa fa-paint-brush',
    'fields' => array(

	array(
	  'id'        => 'color-scheme',
	  'type'      => 'button_set',
	  'title'     => esc_attr__( 'Website main colors','fribba' ),
	  'desc'     => esc_attr__( 'Choose from pre-defined color skins, or customize your own','fribba' ),
	  'inline'   => true,
	  'options'   => array(
		'skins' => 'Pre-defined skins',
		'custom' => 'Custom colors',
	  ),
	  'default'   => 'custom'
	),
	
	array(
	  'id'      => 'skin-colors',
	  'type'    => 'palette',
	  'title'   => esc_attr__( 'Skins','fribba' ),
	  'options' => array(
		/*'set1'  => array( '#FF416C', '#9b539f', '#5c6279', '#0e1638', '#6441a5', '#2a0845' , '#ff5f6d', '#ffc371' ),
		'set2'  => array( '#2c3e50', '#3498db', '#5c6279', '#0e1638', '#00c6ff', '#0072ff' , '#454655', '#d7d2cc' ),
		'set3'  => array( '#2c3e50', '#FF5722', '#5c6279', '#0e1638', '#FF5722', '#FF5722' , '#353032', '#d2c0ac' ), */		
		'set1'  => array( '#FF416C', '#9b539f', '#ff5f6d', '#ffc371' ),
		'set2'  => array( '#2c3e50', '#3498db', '#454655', '#d7d2cc' ),
		'set3'  => array( '#2c3e50', '#FF5722', '#353032', '#d2c0ac' ),
	  ),
	  'default' => 'set1',
	  'dependency' => array( 'color-scheme', '==', 'skins' ),
	),
	array(
	  'id'        => 'custom-colors',
	  'type'      => 'color_group',
	  'title'     => esc_attr__( 'Custom colors','fribba' ),
	  'options'   => array(
		'color-1' => 'Main 1',
		'color-2' => 'Main 2',
		'color-3' => 'Body',
		'color-4' => 'Headings',
		'color-5' => 'Gradient 1',
		'color-6' => 'Gradient 2',
		'color-7' => 'Gradient 3',
		'color-8' => 'Gradient 4',
	  ),
	  'default'   => array(
		'color-1' => '#FF416C',
		'color-2' => '#9b539f',
		'color-3' => '#5c6279',
		'color-4' => '#0e1638',
		'color-5' => '#6441a5',
		'color-6' => '#2a0845',
		'color-7' => '#FF416C',
		'color-8' => '#9b539f',		
	  )	, 
		'dependency' => array( 'color-scheme', '==', 'custom' ),
	),	
		array(
		  'id'                              => 'body-background',
		  'type'                            => 'background',
		  'title'                           => esc_attr__( 'Background','fribba' ),
		  'background_gradient'             => true,
		  'background_origin'               => true,
		  'background_clip'                 => true,
		  'background_blend-mode'           => true,
		  'default'                         => array(
			'background-color'              => '',
			'background-gradient-color'     => '',
			'background-gradient-direction' => 'to right',
			'background-size'               => 'cover',
			'background-position'           => 'center center',
			'background-repeat'             => 'repeat',
			
		  ),
		  'output' => 'body',
		  'dependency' => array( 'color-scheme', '==', 'custom' ),
		),


    )
  ) );