<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Footer','fribba' ),
	'icon'   => 'fa fa-th-large',
    'fields' => array(
		array(
		  'id'      => 'enable-under-footer',
		  'type'    => 'switcher',	  
		  'title'   => esc_attr__( 'Enable under footer','fribba' ),
		  'desc'   => esc_attr__( 'Enables section under footer with logo and social','fribba' ),
		'default'    => '1'		  
		),		
		array(
		  'id'         => 'footer-logo-type',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Logo type','fribba' ),
		  'desc'      => esc_attr__( 'Select your logo type. Text or image','fribba' ),
		  'options'    => array(
			'text' => 'Text logo',
			'image' => 'Image logo',
		  ),
		  'default'    => 'image'
		),	
		array(
		  'id'      => 'footer-logo-text',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Logo text','fribba' ),
		  'desc'   => esc_attr__( 'Add your logo text','fribba' ),
		  'dependency' => array( 'footer-logo-type', '==', 'text' ),
		  'default'    => 'Fribba'		  
		),		
		array(
		  'id'      => 'footer-logo-image',
		  'type'    => 'media',
		  'title'   => esc_attr__( 'Logo image','fribba' ),
		  'library' => 'image',
		  'desc'   => esc_attr__( 'Upload logo image','fribba' ),
		  'dependency' => array( 'footer-logo-type', '==', 'image' ),	
		  'default' => array( 'url' => '' ),		  
		),		
    )
  ) );