<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_attr__( 'Header','fribba' ),
	'icon'   => 'fa fa-th-large',
    'fields' => array(
		array(
		  'id'         => 'logo-type',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Logo type','fribba' ),
		  'desc'      => esc_attr__( 'Select your logo type. Text or image','fribba' ),
		  'options'    => array(
			'text' => 'Text logo',
			'image' => 'Image logo',
		  ),
		  'default'    => 'image'
		),	
		array(
		  'id'      => 'logo-text',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Logo text','fribba' ),
		  'desc'   => esc_attr__( 'Add your logo text','fribba' ),
		  'dependency' => array( 'logo-type', '==', 'text' ),
		  'default'    => 'Fribba'		  
		),		
		array(
		  'id'      => 'logo-image',
		  'type'    => 'media',
		  'title'   => esc_attr__( 'Logo image','fribba' ),
		  'library' => 'image',
		  'desc'   => esc_attr__( 'Upload logo image','fribba' ),
		  'dependency' => array( 'logo-type', '==', 'image' ),		   
		  'default' => array( 'url' => '' ),		   
		),		
		array(
		  'id'      => 'logo-retina',
		  'type'    => 'checkbox',
		  'title'   => esc_attr__( 'Reatina ready?','fribba' ),
		  'desc'   => esc_attr__( 'Is your logo reatina ready? If so, check this option. Do not forget to make it twice the regular size.','fribba' ),
		  'dependency' => array( 'logo-type', '==', 'image' ),		   
		  'default' => '',		   
		),		
		array(
		  'id'      => 'favicon',
		  'type'    => 'media',
		  'title'   => esc_attr__( 'Favicon','fribba' ),
		  'desc'   => esc_attr__( 'Upload .ico or .png file. Recommended size 32 x 32 pixels','fribba' ),
		  'default'  => array( 'url' => WOW_URI.'/favicon.png'),		  
		),
		array(
		  'id'      => 'sticky-menu',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Sticky menu','fribba' ),
		  'desc'   => esc_attr__( 'Is your logo reatina ready? If so, check this option. Do not forget to make it twice the regular size.','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '1'		   
		),
		array(
		  'id'      => 'header-author-btn',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Show author button','fribba' ),
		  'desc'   => esc_attr__( '','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '1'		   
		),
		array(
		  'id'      => 'header-social-btn',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Show social buttons','fribba' ),
		  'desc'   => esc_attr__( '','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '1'		   
		),
		array(
		  'id'      => 'header-search-btn',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Show search button','fribba' ),
		  'desc'   => esc_attr__( '','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '1'		   
		),
		array(
		  'id'      => 'header-style-center',
		  'type'    => 'button_set',
		  'title'   => esc_attr__( 'Header style with the logo on center','fribba' ),
		  'desc'   => esc_attr__( '','fribba' ),
		  'options'    => array(
			'1' => 'Yes',
			'0' => 'No',
		  ),
		  'default'    => '0'		   
		),
    )
  ) );
 
