<?php

$wow_title = get_bloginfo( 'name' );
$wow_desc  = get_bloginfo( 'description' ) ? get_bloginfo('description') : $wow_title; 

if ( !class_exists( 'WooCommerce' ) ){

CSF::createSection( $prefix, array(
   'title'  => esc_attr__( 'SEO','fribba' ),
   'icon'   => 'fa fa-search',
   'fields'      => array(

    array(
      'id'    => 'seo',
      'type'  => 'tabbed',
      'title' => 'Select action',
      'tabs'  => array(

        array(
          'title'  => 'Homepage',
          'fields' => array(

			array(
			  'id'    => 'enable-homepage-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Homepage','fribba' ),
			  'desc' => esc_attr__( 'Homepage page title and meta description','fribba' ),
			),	
			array(
			  'id'         => 'seo-title',
			  'type'       => 'text',
			  'title'      => esc_attr__( 'Page title','fribba' ),
			  'desc'      => esc_attr__( 'This is the page title for homepage. Try to limit to 50-60 characters, to ensure your title will fully display on search engines.','fribba' ),
			),			
			array(
			  'id'         => 'seo-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for homepage. Try to limit to 50-160 characters, to ensure your description will fully display on search engines.','fribba' ),
			),

          ),
        ), //end first tab group

        array(
          'title'  => 'Post & Page',
          'fields' => array(

			array(
			  'id'    => 'enable-posts-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Post, Page & Category SEO', 'fribba' ),
			  'desc' => esc_attr__( 'It will display post, page & category title and meta description in the <head> section of your website. Locate the SEO Options at the bottom of each post, page, category etc','fribba' ),
			),				
			array(
			  'id'    => 'auto-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Auto SEO', 'fribba' ),
			  'desc' => esc_attr__( 'It will automatically add page title and meta description for each post,  page & post tags ( when you publish or update ), with values from post title and post content. You can replace individual values for each post, page & tag with your own.','fribba' ),
			),	

          ),
        ), //end second tab group

		array(
          'title'  => 'Archives page',
          'fields' => array(
			array(
			  'id'    => 'enable-archive-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Archive pages', 'fribba' ),
			  'desc' => esc_attr__( 'It will enable seo meta description for archive pages. I.e http://example.com/2019/10/22/','fribba' ),
			),			  
			array(
			  'id'         => 'seo-day-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Day - Archive pages meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for the day archive pages. I.e Posts archives for day - . Note: The date is added automatically after your text ','fribba' ),
			  'default' => 'Posts archives for day -',
			),			
			array(
			  'id'         => 'seo-month-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Month - Archive pages meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for the month archive pages. I.e Posts archives for month - . Note: The date is added automatically after your text ','fribba' ),
			  'default' => 'Posts archives for month -',
			),			
			array(
			  'id'         => 'seo-year-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Year - Archive pages meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for the year archive pages. I.e Posts archives for year - . Note: The date is added automatically after your text ','fribba' ),
			   'default' => 'Posts archives for year -',
			),

          ),
        ),	//end third tab group
		
		array(
          'title'  => 'Posts page',
          'fields' => array(

			array(
			  'id'    => 'enable-blog-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Posts page','fribba' ),
			  'desc' => esc_attr__( 'It will enable the posts page title and meta description. Ignore this option if your homepage is set to display latest posts.','fribba' ),
			  'default' => '1',
			),	
			array(
			  'id'         => 'seo-blog-title',
			  'type'       => 'text',
			  'title'      => esc_attr__( 'Posts page title','fribba' ),
			  'desc'      => esc_attr__( 'This is the page title for the posts page. Try to limit to 50-60 characters, to ensure your title will fully display on search engines.','fribba' ),
			  'default' => $wow_title,
			),			
			array(
			  'id'         => 'seo-blog-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Posts page meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for the posts page. Try to limit to 50-160 characters, to ensure your description will fully display on search engines.','fribba' ),
			   'default' => $wow_desc,
			),

          ),
        ),	//end third tab group			
		
		array(
          'title'  => 'Extra',
          'fields' => array(

			array(
			  'id'    => 'enable-extra',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Enable extra','fribba' ),
			  'desc' => esc_attr__( 'It will add canonical URLs, schema code specific for Google\'s JSON LD stuff, and implement the new Google Robots meta changes','fribba' ),
			  'default' => '1',
			),

          ),
        ), // end extra

      ),
	  
	'default'       => array(
		'enable-homepage-seo'  => '0',
		'seo-title'  => $wow_title,
		'seo-desc'  => $wow_desc,		
		'enable-blog-seo'  => '0',
		'seo-blog-title'  => 'My blog',
		'seo-blog-desc'  => 'My cool blog description...',
		'enable-archive-seo' => '0',
		'seo-day-desc' => 'Posts archives for day -',
		'seo-month-desc' => 'Posts archives for month -',
		'seo-year-desc' => 'Posts archives for year -',
		'enable-posts-seo'  => '0',
		'auto-seo'  => '0',
		'enable-extra'  => '0',
	),

	  
    ),

  )
) ); 

}

else {

CSF::createSection( $prefix, array(
   'title'  => esc_attr__( 'SEO','fribba' ),
   'icon'   => 'fa fa-search',
   'fields'      => array(

    array(
      'id'    => 'seo',
      'type'  => 'tabbed',
      'title' => 'Select action',
      'tabs'  => array(

        array(
          'title'  => 'Homepage',
          'fields' => array(

			array(
			  'id'    => 'enable-homepage-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Homepage','fribba' ),
			  'desc' => esc_attr__( 'Homepage page title and meta description','fribba' ),
			),	
			array(
			  'id'         => 'seo-title',
			  'type'       => 'text',
			  'title'      => esc_attr__( 'Page title','fribba' ),
			  'desc'      => esc_attr__( 'This is the page title for homepage. Try to limit to 50-60 characters, to ensure your title will fully display on search engines.','fribba' ),
			),			
			array(
			  'id'         => 'seo-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for homepage. Try to limit to 50-160 characters, to ensure your description will fully display on search engines.','fribba' ),
			),

          ),
        ), //end first tab group

        array(
          'title'  => 'Post & Page',
          'fields' => array(

			array(
			  'id'    => 'enable-posts-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Post / Page / Category SEO', 'fribba' ),
			  'desc' => esc_attr__( 'It will display post / page / category title and meta description in the <head> section of your website.','fribba' ),
			),				
			array(
			  'id'    => 'auto-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Auto SEO', 'fribba' ),
			  'desc' => esc_attr__( 'It will automatically add page title and meta description for each post/page ( when you publish or update ), with values from post title and post content. You can replace individual values for each post / page with your own.','fribba' ),
			),	

          ),
        ), //end second tab group
		
		array(
          'title'  => 'Archives page',
          'fields' => array(
			array(
			  'id'    => 'enable-archive-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Archive pages', 'fribba' ),
			  'desc' => esc_attr__( 'It will enable seo meta description for archive pages. I.e http://example.com/2019/10/22/','fribba' ),
			),			  
			array(
			  'id'         => 'seo-day-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Day - Archive pages meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for the day archive pages. I.e Posts archives for day - . Note: The date is added automatically after your text ','fribba' ),
			  'default' => 'Posts archives for day -',
			),			
			array(
			  'id'         => 'seo-month-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Month - Archive pages meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for the month archive pages. I.e Posts archives for month - . Note: The date is added automatically after your text ','fribba' ),
			  'default' => 'Posts archives for month -',
			),			
			array(
			  'id'         => 'seo-year-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Year - Archive pages meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for the year archive pages. I.e Posts archives for year - . Note: The date is added automatically after your text ','fribba' ),
			   'default' => 'Posts archives for year -',
			),

          ),
        ),	//end third tab group
		
		array(
          'title'  => 'Posts page',
          'fields' => array(

			array(
			  'id'    => 'enable-blog-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Posts page','fribba' ),
			  'desc' => esc_attr__( 'It will enable the posts page title and meta description. Ignore this option if your homepage is set to display latest posts.','fribba' ),
			  'default' => '1',
			),	
			array(
			  'id'         => 'seo-blog-title',
			  'type'       => 'text',
			  'title'      => esc_attr__( 'Posts page title','fribba' ),
			  'desc'      => esc_attr__( 'This is the page title for the posts page. Try to limit to 50-60 characters, to ensure your title will fully display on search engines.','fribba' ),
			  'default' => $wow_title,
			),			
			array(
			  'id'         => 'seo-blog-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Posts page meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for the posts page. Try to limit to 50-160 characters, to ensure your description will fully display on search engines.','fribba' ),
			   'default' => $wow_desc,
			),

          ),
        ),	//end fourth tab group	
		
		array(
          'title'  => 'WooCommerce',
          'fields' => array(

			array(
			  'id'    => 'enable-woo-seo',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Shop Homepage','fribba' ),
			  'desc' => esc_attr__( 'It will enable the shop homepage page title and meta description','fribba' ),
			  'default' => '1',
			),	
			array(
			  'id'         => 'woo-seo-title',
			  'type'       => 'text',
			  'title'      => esc_attr__( 'Shop page title','fribba' ),
			  'desc'      => esc_attr__( 'This is the page title for shop homepage. Try to limit to 50-60 characters, to ensure your title will fully display on search engines.','fribba' ),
			  'default' => $wow_title,
			),			
			array(
			  'id'         => 'woo-seo-desc',
			  'type'       => 'textarea',
			  'title'      => esc_attr__( 'Shop meta description','fribba' ),
			  'desc'      => esc_attr__( 'This is the meta description for shop homepage. Try to limit to 50-160 characters, to ensure your description will fully display on search engines.','fribba' ),
			   'default' => $wow_desc,
			),

          ),
        ), 	//end 5th tab group	
		
		array(
          'title'  => 'Extra',
          'fields' => array(

			array(
			  'id'    => 'enable-extra',
			  'type'  => 'switcher',
			  'title' => esc_attr__( 'Enable extra','fribba' ),
			  'desc' => esc_attr__( 'It will add canonical URLs, schema code specific for Google\'s JSON LD stuff, and implement the new Google Robots meta changes','fribba' ),
			  'default' => '1',
			),

          ),
        ), // end extra

      ),
	  
	'default'       => array(
		'enable-homepage-seo'  => '0',
		'seo-title'  => $wow_title,
		'seo-desc'  => $wow_desc,		
		'enable-blog-seo'  => '0',
		'seo-blog-title'  => 'My blog',
		'seo-blog-desc'  => 'My cool blog description...',
		'enable-archive-seo' => '0',
		'seo-day-desc' => 'Posts archives for day -',
		'seo-month-desc' => 'Posts archives for month -',
		'seo-year-desc' => 'Posts archives for year -',
		'enable-posts-seo'  => '0',
		'auto-seo'  => '0',	
		'enable-woo-seo'  => '0',				
		'woo-seo-title'  => 'Shop',
		'woo-seo-desc'  => 'My shop meta description goes here...',
		'enable-extra'  => '0',
	),

	  
    ),

  )
) ); 

}
