<?php
 //
  // Create a widget
  //
  CSF::createWidget( 'wow_ad_widget', array(
    'title'       => 'Fribba Ad',
    'classname'   => 'wow-fribba-ad-widget',
    'description' => 'Add advertisement banner or code',
    'fields'      => array(

      array(
        'id'      => 'title',
        'type'    => 'text',
        'title'   => 'Widget title',
      ),
		array(
		  'id'      => 'sticky',
		  'type'    => 'switcher',
		  'title'   => esc_attr__( 'Make ad sticky?','fribba' ),
		  'desc'   => esc_attr__( 'It will stick on the sidebar as you scroll. Try to place it last in the sidebar if sticky is enabled.','fribba' ),
		  'default' => 1,
		),	  
		array(
		  'id'         => 'widget-ad-type',
		  'type'       => 'button_set',
		  'title'      => esc_attr__( 'Ad type','fribba' ),
		  'desc'      => esc_attr__( 'Select your advertisement type. Banner or code.','fribba' ),
		  'options'    => array(
			'banner' => 'Banner',
			'code' => 'Code',
		  ),
		  'default'    => 'code'
		),
		 array(
		  'id'           => 'widget-ad-media',
		  'type'         => 'upload',
		  'title'        => esc_attr__( 'Banner image','fribba' ),
		  'library'      => 'image',
		  'placeholder'  => 'http://',
		  'button_title' => 'Add Image',
		  'remove_title' => 'Remove Image',
		  'dependency' => array( 'widget-ad-type', '==', 'banner' ),
		),		
		array(
		  'id'      => 'widget-ad-url',
		  'type'    => 'text',
		  'title'   => esc_attr__( 'Banner URL','fribba' ),
		  'desc'   => esc_attr__( 'Where should the banner link to. Example : http://example.com','fribba' ),
		  'default' => '',
		  'dependency' => array( 'widget-ad-type', '==', 'banner' ),
		),
		array(
		  'id'      => 'widget-ad-code',
		  'type'    => 'textarea',  
		  'title'   => esc_attr__( 'Ad code','fribba' ),		 
		 'desc' => sprintf( '%s<br><b>%s</b>%s<br><b>%s</b>%s',
				esc_attr__( 'Enter ad code here. ', 'fribba' ), 
				esc_attr__( 'Important note: ', 'fribba' ),
				esc_attr__( 'If lazy load is enabled, do NOT include the following piece of code in the google ad:  ', 'fribba' ),
				esc_attr__( '<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script> and <script>(adsbygoogle = window.adsbygoogle || []).push({}); </script>', 'fribba' ),
				esc_attr__( 'as we include them automatically. Only include the ad from <ins></ins>', 'fribba' )
		  ),
		  'dependency' => array( 'widget-ad-type', '==', 'code' ),		  
		), 


    ),
  ) );
  
function wow_ad_widget( $args, $instance ) {

$sticky = $instance['sticky'] == 1 ? 'sticky' : '';

$args['before_widget'] = '<div class="widget '.$sticky.' wow-fribba-ad-widget">';

echo wp_kses_post( $args['before_widget'] );

if ( ! empty( $instance['title'] ) ) {
	echo wp_kses_post( $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title'] );
}

if ( $instance['widget-ad-type'] == 'banner' ) {

	if ( !empty( $instance['widget-ad-url'] ) && !empty( $instance['widget-ad-media'] ) ){
		
		if ( wow_option( 'lazy-load' )  == '1' ){ ?>
		
			<div class="widget-ad">
				<a href="<?php echo esc_url( $instance['widget-ad-url'] ); ?>"><img class="lazyload" src="<?php echo esc_url( WOW_URI.'/images/placeholder-3.png' ); ?>" data-src="<?php echo esc_url( $instance['widget-ad-media'] ); ?>" alt="<?php echo esc_attr__('Widget Ad','fribba'); ?>"></a>
			</div>		
			
<?php		} else { ?>
			<div class="widget-ad">
				<a href="<?php echo esc_url( $instance['widget-ad-url'] ); ?>"><img src="<?php echo esc_url( $instance['widget-ad-media'] ); ?>" alt="<?php echo esc_attr__('Widget Ad','fribba'); ?>"></a>
			</div>	
<?php	}
}

echo wp_kses_post( $args['after_widget'] );

} //end if banner ad

elseif ( $instance['widget-ad-type'] == 'code' && !empty( $instance['widget-ad-code'] ) ){ ?>	
	<div class="widget-ad adsense">
		<?php echo do_shortcode( $instance['widget-ad-code'] ); ?>
	</div>	
<?php }

}
