<?php
/**
 * Template for single post
 *
 * @package Fribba
 * @author WOW Layers
 * @link https://wowlayers.com
 */
get_header();

//layout - from theme options of from post
$wow_meta_layout      	   = get_post_meta( get_the_ID(), 'blog-single-layout', true );
if( empty( $wow_meta_layout ) ){
	$wow_meta_layout = 'default';
}
$wow_layout = $wow_meta_layout != 'default' ? $wow_meta_layout : wow_option( 'blog-single-layout' );

$wow_articles_grid = '';
if ( $wow_layout == 'sidebar' ){
	$wow_articles_grid = ' col-desktop-8 col-tablet-12 col-small-tablet-12 col-mobile-12 padding-right-30';
}

/* For premium products */
$wow_premium_ID       = get_post_meta( get_the_ID(), 'premium-download', true );
$wow_btn_premium      = get_post_meta( get_the_ID(), 'premium-download-text', true );
$wow_btn_premium_text = $wow_btn_premium ? $wow_btn_premium : esc_attr__( 'Buy product','fribba' );

/* For regular freebie */
$wow_url      = get_post_meta( get_the_ID(), 'download-url', true );
$wow_target   = get_post_meta( get_the_ID(), 'new-tab', true ) == 1 ? '_blank' : '_self';
$wow_btn      = get_post_meta( get_the_ID(), 'download-text', true );
$wow_btn_text = $wow_btn ? $wow_btn : esc_attr__( 'Download freebie','fribba' );


$wow_demo      	   = get_post_meta( get_the_ID(), 'demo-url', true );
$wow_demo_target   = get_post_meta( get_the_ID(), 'new-tab-demo', true ) == 1 ? '_blank' : '_self';
$wow_demo_btn      = get_post_meta( get_the_ID(), 'demo-text', true );
$wow_demo_btn_text = $wow_demo_btn ? $wow_demo_btn : esc_attr__( 'Live demo','fribba' );
?>

<?php if ( $wow_layout == 'sidebar'  ) {  ?> <div class="wow-row"><!-- start .wow-row --> <?php }  ?>

<div class="article-single <?php echo esc_attr( $wow_articles_grid ); ?>"><!-- start .article-single -->

<?php
if( have_posts() ) {
	while( have_posts() ) {
		the_post();
		wow_set_post_views(); ?>

<?php wow_post_thumb( false,  true , false , false , false ); wow_categories( $post->ID ); ?>
<?php wow_cat_breadcrumb(); ?>
<h1 class="article-title"><?php the_title(); ?></h1>
<div class="author-date">
	<a class="body-color" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ); ?>" class="color-1"><?php wow_svg( 'account-box-line' ); ?><?php echo esc_html( get_the_author_meta( 'nickname' ) ); ?></a>
	<div class="vertical-separator"></div>
	<a class="body-color" href="<?php echo esc_url( get_day_link( get_the_date( 'Y' ), get_the_date( 'm' ), get_the_date( 'd' ) ) ); ?>"><?php wow_svg( 'calendar-line' ); ?><?php echo esc_html( get_the_date( 'd M Y' ) );?></a>
</div>
<div class="separator single"></div>

<?php wow_render_above_post_ad(); ?>

<div class="post-content">
	<?php if ( wow_option( 'enable-social-share' ) == '1' ){ wow_output_social_share(); } ?>
	<div class="post-content-inner">
		<?php the_content(); ?>
	</div>
	<?php if ( wow_option( 'enable-social-share-after' ) == '1' ){ ?>
	<div class="after-post">
		<?php wow_output_social_shares_number(); ?>
		<?php wow_output_social_share(); ?>
	</div>
	<?php } ?>
</div>

<?php wow_render_bellow_post_ad(); ?>


<?php if ( has_tag() ) { ?>
<?php the_tags( '<ul class="tags"><li>', '</li><li>', '</li></ul>' ); ?>
<?php if ( comments_open() ) { ?><div class="separator single"></div><?php } ?>
<?php }  ?>

	
<?php if ( $wow_premium_ID || $wow_url || $wow_demo ) { ?>
<div class="download-button">	
	<?php if ( !empty( $wow_premium_ID ) && class_exists( 'Easy_Digital_Downloads' ) ) { ?>
	<button><?php wow_svg( 'shopping-cart-2-line' ) ; ?><a href="<?php echo esc_url( get_home_url() ); ?>/checkout?edd_action=add_to_cart&download_id=<?php echo esc_attr( $wow_premium_ID ); ?>"><?php echo esc_html( $wow_btn_premium_text ); ?></a></button><?php } ?>	
	
	<?php if ( $wow_url  ) { ?>
	<button><?php wow_svg( 'download-2-line' ) ; ?><a data-post-id="<?php echo( esc_attr( $post->ID ) ); ?>" href="<?php echo esc_url( $wow_url ); ?>" target="<?php echo esc_attr( $wow_target ); ?>"><?php echo esc_html( $wow_btn_text ); ?></a></button><?php } ?>
	
	<?php if ( $wow_demo  ) { ?>
	<button><?php wow_svg( 'link' ) ; ?><a href="<?php echo esc_url( $wow_demo ); ?>" target="<?php echo esc_attr( $wow_demo_target ); ?>"><?php echo esc_html( $wow_demo_btn_text ); ?></a></button><?php } ?>
</div>
<div class="separator single"></div>
<?php } ?>

		
<?php 
	
	}// end while have_posts
 	
	$wow_pagination_args = array(
		'before'           => '<div class="pagination"><ul>',
		'after'            => '</ul></div>',
		'link_before'      => '<li>',
		'link_after'       => '</li>',
	);
	wp_link_pages( $wow_pagination_args ); 

	comments_template();
	
}//end if have_posts 
?>

</div><!-- end .article-single-->

<?php if ( $wow_layout == 'sidebar' ) { ?>
<div id="sidebar" class="col-desktop-4 col-tablet-12 col-small-tablet-12 col-mobile-12">
	<?php dynamic_sidebar('sidebar'); ?>
</div>
</div><!-- end .wow-row -->
<?php } ?>

<div class="separator single big"></div>

<div class="author-box"><!-- start .author-box -->
	<div class="author"><?php echo wow_author_avatar(); ?></div>
	<h3 class="primary-font color-1"><?php esc_html_e('About author','fribba'); ?></h3>
	<h2><?php echo esc_html( wow_author_info( 'nickname' ) ); ?></h2>
	<p><?php echo esc_html( wow_author_info( 'description' ) ); ?></p>
	<?php if ( wow_author_has_social() == true ) { ?>
	<div class="social-and-search">
		<ul><?php wow_output_social_author(); ?></ul>
	</div>
	<?php } ?>
</div><!-- end .author-box -->

<div class="related-articles"><!-- start .related-articles -->
	<h2 class="title"><?php echo esc_html__( 'You might also like','fribba' );  ?></h2>
	<div class="wow-row">
	<?php
	$wow_cat = get_the_category( $post->ID );
	$wow_args = array( 'post_type' => array( 'post' ),'posts_per_page' => 3, 'post__not_in' => array( $post->ID ) , 'cat' => $wow_cat[0]->term_id );
	$wow_query = new WP_Query( $wow_args );
	if( $wow_query->have_posts() ) {
		while( $wow_query->have_posts() ) {
			$wow_query->the_post();
				get_template_part( 'templates/post' );		
		}
		wp_reset_postdata();
	} ?>
	</div>
</div><!-- end .related-articles -->
<?php get_footer(); ?>